## flumotion 0.7.0.1-1maemo1

=== debian/changelog ===
flumotion (0.7.0.1-1maemo1) unstable; urgency=low

  * Maemo initial package

 -- Zaheer Merali <zaheermerali@gmail.com>  Thu, 10 Dec 2009 21:31:19 +0000

flumotion (0.7.0.1-1flu1~karmic1) karmic; urgency=low

  * Karmic release

 -- Arek Korbik <arkadini@gmail.com>  Thu, 29 Oct 2009 14:10:21 +0100

flumotion (0.7.0.1-1flu1~jaunty1) jaunty; urgency=low

  * New version

 -- Arek Korbik <arkadini@gmail.com>  Tue, 15 Sep 2009 12:52:46 +0200

flumotion (0.5.4.2-1flu1~jaunty1) jaunty; urgency=low

  * Update to 0.5.4.2 pre-release

 -- Arek Korbik <arek@flumotion.com>  Wed, 12 Aug 2009 18:08:08 +0200

flumotion (0.5.4.1-1flu1~jaunty1) jaunty; urgency=low

  * Jaunty release
  * Change maintainer to myself

 -- Arek Korbik <arek@flumotion.com>  Wed, 12 Aug 2009 12:18:49 +0200

flumotion (0.5.2-1flu1~hardy4) hardy; urgency=low

  * Update to SVN 2008-05-07-2

 -- Johan Dahlin <johan@flumotion.com>  Wed, 07 May 2008 15:31:00 -0300

flumotion (0.5.2-1flu1~hardy3) hardy; urgency=low

  * Update to SVN 2008-05-07
  * Fixes missing glade files.

 -- Johan Dahlin <johan@flumotion.com>  Wed, 07 May 2008 12:05:00 -0300

flumotion (0.5.2-1flu1~hardy2) hardy; urgency=low

  * Update to SVN 2008-05-06
  * Add the flumotion user to audio & video group.

 -- Johan Dahlin <johan@flumotion.com>  Tue, 06 May 2008 15:29:44 -0300

flumotion (0.5.2-1flu1~hardy1) hardy; urgency=low

  * New version
  * Depend on python-kiwi, create /var/run/flumotion when starting the
    script if it doesn't exist

 -- Johan Dahlin <johan@flumotion.com>  Thu, 17 Apr 2008 09:41:49 -0300

flumotion (0.5.1.1-1flu1~hardy3) hardy; urgency=low

  * Depend on cortado and gstreamer0.10-schroedinger
  * Build-depend on python-rrd

 -- Johan Dahlin <johan@flumotion.com>  Thu, 17 Apr 2008 09:41:49 -0300

flumotion (0.5.1.1-1flu1~hardy2) hardy; urgency=low

  * New orig tarball

 -- Johan Dahlin <johan@flumotion.com>  Wed, 16 Apr 2008 18:57:37 -0300

flumotion (0.5.1.1-1flu1~hardy1) hardy; urgency=low

  * Change versioning scheme again

 -- Johan Dahlin <johan@flumotion.com>  Wed, 16 Apr 2008 18:46:48 -0300

flumotion (0.5.1.1-0flu1~hardy1) hardy; urgency=low

  * Hardy release

 -- Johan Dahlin <johan@flumotion.com>  Wed, 16 Apr 2008 18:40:02 -0300

flumotion (0.5.1.1-0flu7) hardy; urgency=low

  * Hardy release

 -- Johan Dahlin <johan@flumotion.com>  Wed, 16 Apr 2008 18:24:36 -0300

flumotion (0.5.1.1-0flu6) gutsy; urgency=low

  * Depends on python-rrdtool and build-depends on python-epydoc,
  * Change maintainer to myself

 -- Johan Dahlin <johan@flumotion.com>  Wed, 16 Apr 2008 14:48:39 -0300

flumotion (0.5.1.1-0flu5) gutsy; urgency=low

  * Add a dependency of kiwi 1.9.14 and pygobject 2.12.0

 -- Johan Dahlin <johan@flumotion.com>  Wed, 16 Apr 2008 13:26:47 -0300

flumotion (0.5.1.1-0flu4) gutsy; urgency=low

  * build-depends on intltool

 -- Johan Dahlin <johan@flumotion.com>  Wed, 16 Apr 2008 13:10:26 -0300

flumotion (0.5.1.1-0flu3) gutsy; urgency=low

  * Build for gutsy, copy files instead of symlink in autogen

 -- Johan Dahlin <johan@flumotion.com>  Wed, 16 Apr 2008 12:38:43 -0300

flumotion (0.5.1.1-0flu2) hardy; urgency=low

  * New attempt, run maintainer-clean before and remove leftover patches in
    the tree before uploading source.

 -- Johan Dahlin <johan@flumotion.com>  Wed, 16 Apr 2008 11:52:26 -0300

flumotion (0.5.1.1-0flu1) hardy; urgency=low

  * New test release

 -- Johan Dahlin <johan@flumotion.com>  Wed, 16 Apr 2008 10:39:20 -0300

flumotion (0.4.2-2) unstable; urgency=low

  * Wrap build-deps and deps.
  * Depend on python-twisted-web for the HTTP stream to work; thanks
    Riccardo Setti; closes: #432568.
  * Bump up Debhelper compatibility level to 5.

 -- Loic Minier <lool@dooz.org>  Wed, 11 Jul 2007 09:30:13 +0200

flumotion (0.4.2-1) unstable; urgency=low

  * New upstream stable release; "Belchica Strikes Back"; new upstream stable
    series; closes: #424916.
    - Downgrade libgstreamer0.10-dev build-dep and dep to >= 0.10.0.1.
    - Bump up python-twisted build-dep and dep to >= 2.0.1.
    - Only depend on python-twisted-core instead of python-twisted.
    - Drop patch 20_depend-audiotest-for-volume-effect_r4358, merged upstream.
    - Convert the configuration file of the "default" manager instance on
      upgrades from 0.4.1; preserve permissions and keep a backup.
    - Update default confirugation file of the package.
    - Purge the backup on purge.
    - Document how to upgrade configuration files in NEWS.Debian and mention
      the automatic upgrade; depend on xsltproc.
    - Install the new logrotate configuration file.
    - Depend on python-gobject.
    - Fix executable bit of usr/share/flumotion/make-dummy-cert.
    - Switch to Arch: any for the fdpass extension and re-add the pytrayicon
      extension; add shlibs:Depends and misc:Depends.
    - Correctly builds against newer pygtks; closes: #422656.
  * Rename postrm to flumotion.postrm, init to flumotion.init, and install to
    flumotion.install.
  * Ship sample configuration files in the examples dir.
  * Drop dh_python call.
  * Use debian/flumotion.docs instead of DEB_INSTALL_DOCS_flumotion.

 -- Loic Minier <lool@dooz.org>  Sun, 27 May 2007 17:28:40 +0200

flumotion (0.2.2-6) unstable; urgency=high

  * New patch, 20_depend-audiotest-for-volume-effect_r4358, to properly depend
    on the audiotest component for volume effect, fixes a visible and annoying
    bug in the default pipeline; from upstream SVN r4358.

 -- Loic Minier <lool@dooz.org>  Tue, 19 Dec 2006 10:40:17 +0100

flumotion (0.2.2-5) unstable; urgency=medium

  * Build-depend on autotools-dev for CDBS's config.guess and config.sub
    auto-update to work.
  * Document that you need to add the flumotion user to the relevant groups to
    stream audio, video etc.; thanks Pablo Lorenzzoni; closes: #401976.
  * Set XS-Python-Version to >= 2.3 instead of current.

 -- Loic Minier <lool@dooz.org>  Fri, 15 Dec 2006 14:18:26 +0100


