=== debian/control ===
Source: flumotion
Section: net
Priority: optional
Maintainer: Arek Korbik <arek@flumotion.com>
Build-Depends: cdbs,
               debhelper (>= 5.0.37.2),
               pkg-config,
	       intltool (>= 0.34.2),
	       python-kiwi (>= 1.9.14),
               python-twisted (>= 2.0.1),
               python-twisted-names,
               python-twisted-web,
               python-glade2,
	       libgstreamer0.10-dev (>= 0.10.0.1),
               libgstreamer-plugins-base0.10-dev (>= 0.10.1),
               python-gst0.10 (>= 0.10.1),
               python,
               python-central (>= 0.5),
               python-dev,
               autotools-dev
Standards-Version: 3.7.3
XS-Python-Version: >= 2.5

Package: flumotion
Architecture: any
Depends: ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         gstreamer0.10-plugins-base,
         gstreamer0.10-plugins-good,
	 python-glade2,
         python-gobject,
         python-gst0.10 (>= 0.10.0.1),
         python-gtk2 (>= 2.4.0),
	 python-kiwi (>= 1.9.14),
         python-pyopenssl,
         python-crypto,
         python-twisted-core (>= 2.0.1),
         python-twisted-web
Suggests:cortado,
         python-rrd,
         gstreamer0.10-schroedinger,
         python-imaging,
         python-dateutil,
         ssl-cert (>= 1.0-11),
         xsltproc         
Recommends: python-gnome2
XB-Python-Version: ${python:Versions}
Description: Fluendo Streaming Server - manager, worker and admin
 Flumotion is a modern streaming media server built with a modular
 distributed design. This gives you unprecedented stability and
 scalability in offering high-quality streaming media.
 .
 Flumotion includes support for both emerging media format standards,
 such as Ogg/Theora, and traditional formats such as MPEG-4.  It
 features intuitive graphical administration tools, making the task of
 setting up and manipulating audio and video streams easy for even
 novice system administrators.
