## flumotion 0.7.0.1-1maemo2

=== debian/changelog ===
flumotion (0.7.0.1-1maemo2) unstable; urgency=low

  * Make log.Loggable be a new-style class

 -- Zaheer Merali <zaheermerali@gmail.com>  Fri, 11 Dec 2009 10:17:23 +0000
