## flumotion 0.7.0.1-1maemo3

=== debian/changelog ===
flumotion (0.7.0.1-1maemo3) unstable; urgency=low

  * Revert previous

 -- Zaheer Merali <zaheermerali@Gmail.com>  Fri, 11 Dec 2009 11:09:39 +0000
