## flumotion 0.7.0.1-1maemo4

=== debian/changelog ===
flumotion (0.7.0.1-1maemo4) unstable; urgency=low

  * Actually revert previous

 -- Zaheer Merali <zaheermerali@gmail.com>  Thu, 17 Dec 2009 13:11:33 +0000
