## flumotion 0.10.0

=== debian/changelog ===
flumotion (0.10.0-3ubuntu1) trusty; urgency=low

  * Drop gstreamder0.10-ffmpeg plugin to recommends.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Thu, 21 Nov 2013 16:55:41 +0000

flumotion (0.10.0-3) unstable; urgency=low

  [ IOhannes m zmoelnig ]
  * Update patch to fix override internal Twisted interface.
    Closes: bug#679318. Thanks again to John Bazik.

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Fix refer to versioned license in License section GPL-2+.
    + Fix use pseudo-comment-in-license field for non-verbatim parts of
      License sections: File format 1.0 mandates License field to either
      be single-line or include all licensing info.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Jul 2012 18:03:34 +0200

flumotion (0.10.0-2) unstable; urgency=low

  * Add patch to fix override internal Twisted interface.
    Closes: bug#672404. Thanks to John Bazik.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 May 2012 12:55:48 +0200

flumotion (0.10.0-1) unstable; urgency=low

  * New upstream release. (Closes: #602828)
    - Uses python2.7 (Closes: #660553, #585197)
    - Correctly reports sound card in use (Closes: #590325).
    - Properly loads module "pk-gtk-module" (Closes: #650034).

  [ IOhannes m zmölnig ]
  * Bump Standards-Version to 3.9.3.
  * Update to source-format 3.0 (quilt).
  * debian/control:
    - Set DMM as maintainer and add myself to uploaders.
    - Add homepage-field.
    - Update VCS-* fields to point to git repository.
    - Stop suggesting hal (Closes: #615217).
  * debian/patches:
    - Remove numbering from patches.
    - Delete unused patch(es).
    - Update preserve-umask patch.
    - Patch to handle twisted.internet.posixbase lacking the
      'sslEnabled' attribute.
    - Patch to remove extronous Encoding-stanza from desktop file.
  * debian/rules:
    - Use the powers of CDBS
    - Use dh_python2 install helper (not python-central).
    - Use destdir variables rather than hardcode path to destdir.
    - Add copyright header in rules file.
    - Use non-deprecated variables
    - Set variables for get-orig-source.
  * debian/copyright:
    - Update copyright to DEP-5.
    - Exclude binary files from cdbs copyright check.
    - Generate copyright_hints.
  * debian/flumotion.postinst:
    - Simplify: update-rc.d is automagically called by dh_installinit.
  * Generate missing manpages.
  * Fix spelling and typos in manpages.
  * Remove duplicate examples.
  * Create /var/run/flumotion with permissions 0755 (Closes: #510031).
  * Add lintian-override for etc/flumotion permissions.
  * Add git-buildpackage configuration.

  [ Jonas Smedegaard ]
  * Drop dpkg-source local-options: Defaults since dpkg-source 1.16.1.
  * Drop postinst upgrade transformation predating oldstable.
  * Update copyright file:
    + List upstream issue tracker as Upstream-Contact.
    + Fix double-indent copyright lines.
  * Add myself as uploader.
  * Update package relations:
    + Stop (build-)depending on python-central, and drop
      XS-Python-Version and XB-Python-Version fields: Obsolete with
      dh_python2.
    + Drop fallback (build-)dependency on python-rrd: Gone since 2005.
    + Relax (build-)depend unversioned on python-twisted,
      python-gst0.10, libgstreamer-plugins-base0.10-dev, ssl-cert,
      python-gtk2, python-kiwi, python-cairo and python-twisted-core
      (needed versions satisfied even in oldstable).
  * Git-ignore quilt .pc dir.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 09 Mar 2012 01:19:40 +0100

flumotion (0.6.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621251).

 -- Luk Claes <luk@debian.org>  Tue, 28 Jun 2011 23:35:44 +0200

flumotion (0.6.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches
    - (Number 20): New. Fix configure file to detect correctly twisted >
      9.x. This fixes a FTBFS with twisted 10.x. Patch thanks to Ubuntu
      Fabrice <coutadeurf@gmail.com> (FTBFS; Closes: #573691).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 19 Oct 2010 13:07:31 +0300

flumotion (0.6.1-1) unstable; urgency=low

  [ Marc-André Lureau ]
  * New upstream release "El Agüelo"
    - Updated patch 10_preserve-umask.
    - Removed 61_revno6676.patch.
    - Removed 60_fix-epydoc-30.patch.
    - Fix bashism in make-dummy-cert; closes: #530971.
    closes: #473781.
  * debian/control:
    - Added python-kiwi build-dep.
    - Updated XS-Python-Version to 2.4
    - Added Vcs-* fields.
    - Updated gtk version dependencies.
  * debian/flumotion.postinst:
    - Added configuration upgrade from to 0.5.3 and 0.6.0
  * debian/NEWS:
    - Mention the configuration upgrade again.

  [ Loic Minier ]
  * Depend on python-openssl instead of python-pyopenssl; closes: #494900.
  * Don't upgrade configuration on first installation.
  * Bump up Standards-Version to 3.8.0.
  * Don't hardcode path to make-ssl-cert in postinst.
  * Merge 0.4.2-3.1 NMU.
  * Create /var/run/flumotion in init script as /var/run might be a tmpfs;
    closes: #487100.
  * Merge 0.4.2-3.1ubuntu1 upload from Ubuntu.
    - /var/run changes implemented differently in Debian.

  [ Loïc Minier ]
  * Add missing libxml-parser-perl build-dep for intltool.
  * Suggest hal.
  * Add /var/lib/flumotion/rrd dir and let /var/lib/flumotion be owned by
    flumotion.
  * Build-dep on python-twisted-conf for SSH console.
  * Build-dep on python-dateutil per .spec file for misc components e.g.
    eventscalendar, icalbouncer etc.
  * Don't install /var/run/flumotion
  * Bump up Standards-Version to 3.8.3.
  * Add Marc-André Lureau to uploaders; thanks!

 -- Marc-André Lureau <mlureau@flumotion.com>  Tue, 22 Dec 2009 14:10:55 +0100

flumotion (0.4.2-3.1ubuntu1) intrepid; urgency=low

  * debian/patches/61_revno6676.patch:
    - Do not raise an exception when signalling a pid for liveness run
      by another user, patch from upstream trac (LP: #209290).
  * debian/flumotion.init:

