=== debian/control ===
Source: flumotion
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Loic Minier <lool@dooz.org>,
 Marc-André Lureau <mlureau@flumotion.com>,
 IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: autotools-dev,
 gnulib,
 devscripts,
 python,
 cdbs (>= 0.4.97~),
 python-all-dev,
 debhelper,
 dh-buildinfo,
 help2man (>= 1.37.1~),
               pkg-config,
               intltool,
               python-twisted,
               python-epydoc,
               python-rrdtool,
               python-gst0.10,
               libgstreamer-plugins-base0.10-dev
Standards-Version: 3.9.3
Homepage: http://flumotion.net/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/flumotion
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/flumotion.git

Package: flumotion
Architecture: any
Depends: ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         adduser,
         ssl-cert,
         xsltproc,
         python-dateutil,
         python-glade2,
         python-gobject,
         python-gst0.10,
         python-gtk2,
         python-kiwi,
         python-cairo,
         python-openssl,
         python-rrdtool,
         python-twisted-core,
         python-twisted-web,
         gstreamer0.10-plugins-base,
         gstreamer0.10-plugins-good,
         gstreamer0.10-schroedinger,
Recommends: python-gnome2, gstreamer0.10-ffmpeg
Description: Fluendo Streaming Server - manager, worker and admin
 Flumotion is a modern streaming media server built with a modular
 distributed design. This gives you unprecedented stability and
 scalability in offering high-quality streaming media.
 .
 Flumotion includes support for both emerging media format standards,
 such as Ogg/Theora, and traditional formats such as MPEG-4.  It
 features intuitive graphical administration tools, making the task of
 setting up and manipulating audio and video streams easy for even
 novice system administrators.
 .
 Flumotion ships with a HAL policy granting the flumotion user access to
 devices you might want to use for streaming; install the hal package to
 use this feature.
