=== debian/watch ===
version=2
http://www.flumotion.net/src/flumotion/flumotion-([\d\.]+).tar.bz2
